apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    vm.kubevirt.io/validations: "[\n  {\n    \"name\": \"minimal-required-memory\"\
      ,\n    \"path\": \"jsonpath::.spec.domain.memory.guest\",\n    \"rule\": \"\
      integer\",\n    \"message\": \"This VM requires more memory.\",\n    \"min\"\
      : 536870912\n  }, {\n    \"name\": \"windows-virtio-bus\",\n    \"path\": \"\
      jsonpath::.spec.domain.devices.disks[*].disk.bus\",\n    \"valid\": \"jsonpath::.spec.domain.devices.disks[*].disk.bus\"\
      ,\n    \"rule\": \"enum\",\n    \"message\": \"virtio disk bus type has better\
      \ performance, install virtio drivers in VM and change bus type\",\n    \"values\"\
      : [\"virtio\"],\n    \"justWarning\": true\n  }, {\n    \"name\": \"windows-disk-bus\"\
      ,\n    \"path\": \"jsonpath::.spec.domain.devices.disks[*].disk.bus\",\n   \
      \ \"valid\": \"jsonpath::.spec.domain.devices.disks[*].disk.bus\",\n    \"rule\"\
      : \"enum\",\n    \"message\": \"disk bus has to be either virtio or sata or\
      \ scsi\",\n    \"values\": [\"virtio\", \"sata\", \"scsi\"]\n  }, {\n    \"\
      name\": \"windows-cd-bus\",\n    \"path\": \"jsonpath::.spec.domain.devices.disks[*].cdrom.bus\"\
      ,\n    \"valid\": \"jsonpath::.spec.domain.devices.disks[*].cdrom.bus\",\n \
      \   \"rule\": \"enum\",\n    \"message\": \"cd bus has to be sata\",\n    \"\
      values\": [\"sata\"]\n  }\n]\n"
  labels:
    app: win2016-vm-test-1720078800-7724466
    created-by-dynamic-class-creator: 'Yes'
    vm.kubevirt.io/template: windows2k16-server-medium
    vm.kubevirt.io/template.namespace: openshift
    vm.kubevirt.io/template.revision: '1'
    vm.kubevirt.io/template.version: v0.29.1
  name: win2016-vm-test-1720078800-7724466
spec:
  dataVolumeTemplates:
  - apiVersion: cdi.kubevirt.io/v1beta1
    kind: DataVolume
    metadata:
      name: win2016-vm-test-1720078800-7724466
    spec:
      sourceRef:
        kind: DataSource
        name: win2k16
        namespace: openshift-virtualization-os-images
      storage:
        resources:
          requests:
            storage: '75161927680'
        storageClassName: ocs-storagecluster-ceph-rbd-virtualization
  running: false
  template:
    metadata:
      annotations:
        vm.kubevirt.io/flavor: medium
        vm.kubevirt.io/os: windows2k16
        vm.kubevirt.io/workload: server
      labels:
        kubevirt.io/domain: win2016-vm-test-1720078800-7724466
        kubevirt.io/size: medium
        kubevirt.io/vm: win2016-vm-test-1720078800-7724466
    spec:
      architecture: amd64
      domain:
        clock:
          timer:
            hpet:
              present: false
            hyperv: {}
            pit:
              tickPolicy: delay
            rtc:
              tickPolicy: catchup
          utc: {}
        cpu:
          cores: 1
          sockets: 1
          threads: 2
        devices:
          disks:
          - disk:
              bus: sata
            name: rootdisk
          inputs:
          - bus: usb
            name: tablet
            type: tablet
          interfaces:
          - masquerade: {}
            model: virtio
            name: default
          rng: {}
        features:
          acpi: {}
          apic: {}
          hyperv:
            frequencies: {}
            ipi: {}
            reenlightenment:
              enabled: false
            relaxed: {}
            reset: {}
            runtime: {}
            spinlocks:
              spinlocks: 8191
            synic: {}
            synictimer:
              direct: {}
            tlbflush: {}
            vapic: {}
            vpindex: {}
          smm: {}
        firmware:
          bootloader:
            efi:
              secureBoot: true
        memory:
          guest: 8Gi
      networks:
      - name: default
        pod: {}
      terminationGracePeriodSeconds: 180
      volumes:
      - dataVolume:
          name: win2016-vm-test-1720078800-7724466
        name: rootdisk
